From: "Hans de Graaff" <graaff@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-ruby/oauth/
Date: Wed, 12 Jul 2017 04:48:44 +0000 (UTC) [thread overview]
Message-ID: <1499833226.59fa022978d9433f72cc1d7a265ceaab1bb7f671.graaff@gentoo> (raw)
commit: 59fa022978d9433f72cc1d7a265ceaab1bb7f671
Author: Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Wed Jul 12 04:20:26 2017 +0000
Commit: Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Wed Jul 12 04:20:26 2017 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=59fa0229
dev-ruby/oauth: add 0.5.3
Package-Manager: Portage-2.3.6, Repoman-2.3.1
dev-ruby/oauth/Manifest | 1 +
dev-ruby/oauth/oauth-0.5.3.ebuild | 36 ++++++++++++++++++++++++++++++++++++
2 files changed, 37 insertions(+)
diff --git a/dev-ruby/oauth/Manifest b/dev-ruby/oauth/Manifest
index bf150f77ae7..245562d315b 100644
--- a/dev-ruby/oauth/Manifest
+++ b/dev-ruby/oauth/Manifest
@@ -1,2 +1,3 @@
DIST oauth-0.4.7.gem 50688 SHA256 bca47d77c946af466872269e37e470837858b1305d5143e5a56c50356e02b2cc SHA512 7d8df61574aaf53ffcb206c6a210546c36b67b2c545d6b31afef2961ee135050923f427dc4720379b7689eef9d921015c26fedd8b11bbd13761dd498155fc550 WHIRLPOOL 5a9dd0eeb2137db2b9810482dca116bf38c06ed75dff2df434118c147ed907d4fdad55dfd2e9c0751b42a110cd240c2ff70bfca75bcffc7f08dd454f65ca7591
DIST oauth-0.5.1.tar.gz 46675 SHA256 462839c6a685b72d619e050869d15abb889f98b010ee97a19ea5a2bc4e39ad91 SHA512 fe00e4455ab72edb38051e0c203f27b299b624cdc3ba031de9aea33c1429a54a364f066297dae86c22b723859ab8bd8854b02d344ec49a535c28b256e96593a6 WHIRLPOOL b9813500cc920a74ac7b48414bcb80f266cad4f8407fc9a62ac1c0da69c92dcd83f1b837de2b7caf8e2a89727c794bc3b0652f1091981e70d82122e7fd6470a9
+DIST oauth-0.5.3.tar.gz 59355 SHA256 0a8225316dfcaf83fc05c2f96ccef912ccfd41a2f57b45ea78ccf44bca975c5c SHA512 658a0b2c8b2eaa51981fd274c5058996309aa0a7098fad8221ca4074f51d996c17c5bdd8373da5e13b6cdc782b9d59769b705f2aa6ad724a2ebd14034ff92e9e WHIRLPOOL 0700f2ccb7e4b3e24c9e6651d7a2ad9fdba21dcf9d37a85b4e0e008e89bed795dc8877877fced792f48996f9ecbe7f0fd89ca4831fdebbc9eddeec287ab6b8df
diff --git a/dev-ruby/oauth/oauth-0.5.3.ebuild b/dev-ruby/oauth/oauth-0.5.3.ebuild
new file mode 100644
index 00000000000..59fae1c6f0a
--- /dev/null
+++ b/dev-ruby/oauth/oauth-0.5.3.ebuild
@@ -0,0 +1,36 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+USE_RUBY="ruby21 ruby22 ruby23"
+
+RUBY_FAKEGEM_RECIPE_DOC="rdoc"
+
+RUBY_FAKEGEM_EXTRADOC="HISTORY README.rdoc TODO"
+
+inherit ruby-fakegem
+
+DESCRIPTION="A RubyGem for implementing both OAuth clients and servers"
+HOMEPAGE="https://github.com/oauth-xx/oauth-ruby"
+SRC_URI="https://github.com/oauth-xx/oauth-ruby/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+RUBY_S="${PN}-ruby-${PV}"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86-macos"
+IUSE=""
+
+ruby_add_bdepend "test? (
+ dev-ruby/test-unit:2
+ dev-ruby/mocha:1.0
+ dev-ruby/webmock
+ dev-ruby/rack
+ dev-ruby/actionpack:4.2
+)"
+
+all_ruby_prepare() {
+ # Require a compatible version of mocha
+ sed -i -e '1igem "mocha", "~> 1.0"; gem "actionpack", "~>4.2.0"' \
+ -e '2i gem "test-unit"; require "test/unit"' \
+ -e '/\(byebug\|minitest_helpers\|simplecov\)/I s:^:#:' test/test_helper.rb || die
+}
next reply other threads:[~2017-07-12 4:48 UTC|newest]
Thread overview: 34+ messages / expand[flat|nested] mbox.gz Atom feed top
2017-07-12 4:48 Hans de Graaff [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-08-14 7:27 [gentoo-commits] repo/gentoo:master commit in: dev-ruby/oauth/ Hans de Graaff
2024-07-16 4:06 Hans de Graaff
2023-09-15 14:56 Hans de Graaff
2023-08-27 10:16 Jakov Smolić
2023-08-26 13:47 Arthur Zamarin
2023-08-26 13:30 Sam James
2023-08-26 6:53 Hans de Graaff
2023-07-11 8:13 Jakov Smolić
2023-05-05 5:56 Hans de Graaff
2023-01-13 8:28 Hans de Graaff
2022-07-26 9:49 Hans de Graaff
2022-05-05 5:50 Hans de Graaff
2022-05-01 6:34 Hans de Graaff
2022-05-01 6:34 Hans de Graaff
2021-11-11 7:04 Hans de Graaff
2021-11-03 6:43 Hans de Graaff
2021-07-05 11:51 Hans de Graaff
2021-04-08 6:07 Hans de Graaff
2021-02-16 6:03 Hans de Graaff
2021-01-22 7:05 Hans de Graaff
2020-05-31 8:09 Hans de Graaff
2019-05-04 19:14 Hans de Graaff
2018-08-05 20:37 Hans de Graaff
2018-04-29 9:42 Hans de Graaff
2018-03-25 19:45 Sergei Trofimovich
2018-02-17 8:05 Hans de Graaff
2018-02-07 6:30 Hans de Graaff
2018-02-07 5:52 Thomas Deutschmann
2017-09-24 7:10 Hans de Graaff
2017-06-28 6:09 Hans de Graaff
2016-12-20 0:52 Manuel Rüger
2016-05-09 6:33 Hans de Graaff
2016-03-06 6:23 Hans de Graaff
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1499833226.59fa022978d9433f72cc1d7a265ceaab1bb7f671.graaff@gentoo \
--to=graaff@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox